yi-core-0.19.4: Yi editor core library

Safe Haskell | None
Language | Haskell2010

System.FriendlyPath

Synopsis

- userToCanonPath :: FilePath -> IO String
- expandTilda :: String -> IO FilePath
- isAbsolute' :: String -> Bool

# Documentation

userToCanonPath :: FilePath -> IO String Source #

Canonicalize a user-friendly path

expandTilda :: String -> IO FilePath Source #

Turn a user-friendly path into a computer-friendly path by expanding the leading tilda.

isAbsolute' :: String -> Bool Source #

Is a user-friendly path absolute?